Last Comment Bug 616110 - "Error: undefined entity // panels.rdf // sidebar.search.label" on profile first use
: "Error: undefined entity // panels.rdf // sidebar.search.label" on profile fi...
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Sidebar (show other bugs)
: Trunk
: All All
: -- major (vote)
: seamonkey2.1b2
Assigned To: Manuel Reimer
:
:
Mentors:
Depends on: 618860
Blocks: 399310
  Show dependency treegraph
 
Reported: 2010-12-02 05:04 PST by Serge Gautherie (:sgautherie)
Modified: 2010-12-19 10:59 PST (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (790 bytes, patch)
2010-12-08 08:01 PST, Manuel Reimer
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Splinter Review
Patch, fixing this bug by dropping obsolete stuff from panels.rdf.in [Checked in: Comment 10] (1.88 KB, patch)
2010-12-13 12:29 PST, Manuel Reimer
mnyromyr: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-12-02 05:04:41 PST
[Mozilla/5.0 (Windows NT 5.0; rv:2.0b8pre) Gecko/20101127 Firefox/4.0b8pre SeaMonkey/2.1b2pre] (comm-central-trunk-win32/1290878667)

I'm running some mochitests, like bug 615923,
and the Error Console reports:
{
Error: undefined entity
Source File: file:///c:/docume~1/na/locals~1/temp/tmpimxxgu/panels.rdf
Line: 25, Column: 15
Source Code:
    <NC:title>&sidebar.search.label;</NC:title>
}

I assume this is a regression from bug 399310, though I haven't verified that.
Comment 1 Serge Gautherie (:sgautherie) 2010-12-07 15:23:58 PST
[Mozilla/5.0 (Windows NT 5.0; rv:2.0b8pre) Gecko/20101207 Firefox/4.0b8pre SeaMonkey/2.1b2pre] (nightly)

This happens once for every new profile.
(and test suites create temporary profiles...)
Comment 2 Manuel Reimer 2010-12-08 08:01:07 PST
Created attachment 496152 [details] [diff] [review]
Patch

In the process of moving away from the RDF-based sidebar code, "local-panels.dtd" has been dropped and the entities have been moved to "sidebarOverlay.dtd". A simple one-line fix is attached. Serge, could you please try if this fixes this error?
Comment 4 Manuel Reimer 2010-12-13 09:09:41 PST
Dropped review request. Sorry for poaching, but I have another patch in work.

IMHO what we do here is duplicating information. The new "sync from broadcaster to RDF algorithm" should be able to auto-generate most of this panels.rdf template file. I still have to debug my patch, but it will reduce this file to almost only the include of the "panels.extra" file.
Comment 5 Robert Kaiser 2010-12-13 11:01:46 PST
If panels.extra doesn't work correctly (i.e. including more panels through L10n) or causes too much overhead in terms of work, then if it's little work, let's get a different L10n inclusion mechanism in or drop it completely. I think de is the only locale using it anyhow, and that sidebar isn't that interesting that it warrants a lot of maintenance work.
Comment 6 Serge Gautherie (:sgautherie) 2010-12-13 11:17:34 PST
(In reply to comment #4)
> Dropped review request. Sorry for poaching, but I have another patch in work.

Yet, I wouldn't mind fixing what we have atm...
Comment 7 Manuel Reimer 2010-12-13 12:25:07 PST
I can't remove the file completely, as this causes the current RDF code to fail and I don't want to change too much there, as I hope it'll be removed soon (see Bug 613971). As I have to keep the file to not make the code fail, I'll also keep panels.extra.

In (hopefully near) future this whole mechanism will be gone and the only way to add a sidebar will be a bookmark with "open in sidebar" checkbox checked.
Comment 8 Manuel Reimer 2010-12-13 12:29:24 PST
Created attachment 497284 [details] [diff] [review]
Patch, fixing this bug by dropping obsolete stuff from panels.rdf.in
[Checked in: Comment 10]

This patch just drops all that stuff, we in fact not need anymore. Unfortunately this triggers Bug 618860 on Linux as "Bookmarks" is our first broadcaster and so is the default panel...

As it's also possible to trigger Bug 618860 without this patch, I think it's ok to ask for review.
Comment 9 Karsten Düsterloh 2010-12-17 14:52:52 PST
Comment on attachment 497284 [details] [diff] [review]
Patch, fixing this bug by dropping obsolete stuff from panels.rdf.in
[Checked in: Comment 10]

No sr needed (I think).
Comment 10 Serge Gautherie (:sgautherie) 2010-12-19 10:59:21 PST
Comment on attachment 497284 [details] [diff] [review]
Patch, fixing this bug by dropping obsolete stuff from panels.rdf.in
[Checked in: Comment 10]

http://hg.mozilla.org/comm-central/rev/97da7450f2a0

Note You need to log in before you can comment on or make changes to this bug.